PHP wird nicht ausgefuehrt

Irgendwelche Probleme mit XAMPP für Linux? Dann ist hier genau der richtige Ort um nachzufragen.

PHP wird nicht ausgefuehrt

Postby Fakler@gmx.net » 22. June 2017 22:15

PHP laeuft (2 x ueberprueft, einmal mit phpstatus und auch ueber activatephp 5.2.8 = PHP 5.2.8 already active). Jedes Mal wenn ich in ein Verzeichnis mit PHP gehe wird nicht PHP gerufen sondern eine Datei heruntergeladen, so als wuerde die Erweiterung PHP nicht erkannt (der Mime typesozusagen). Es laeuft XAMPP 1.7 und Ubuntu 13.4 und zwar deswegen weil ich Programme testen moeche die unter neueren PHP Versionen nicht gehen.
Fakler@gmx.net
 
Posts: 3
Joined: 22. June 2017 19:46
XAMPP version: 1.7
Operating System: Ubuntu 13

Re: PHP wird nicht ausgefuehrt

Postby Nobbie » 23. June 2017 09:33

Fakler@gmx.net wrote:Jedes Mal wenn ich in ein Verzeichnis mit PHP gehe wird nicht PHP gerufen sondern eine Datei heruntergeladen, so als wuerde die Erweiterung PHP nicht erkannt (der Mime typesozusagen).


Wahrscheinlich ist das auch genau das Problem, ich vermute einen entsprechenden Eintrag in einer .htaccess. Ansonsten ist diese Xampp Version so superalt, dass da kaum jemand etwas zu beitragen wird. Aber die ist sicherich damals auch fehlerfrei gelaufen, weswegen ich die "Schuld" in den installierten Verzeichnissen vermute.
Nobbie
 
Posts: 9557
Joined: 09. March 2008 13:04

Re: PHP wird nicht ausgefuehrt

Postby Fakler@gmx.net » 23. June 2017 19:02

Na, das ist ne lokale Installation. Ich glaube nicht dass da irgend eine htaccess Datei ist. Auf der anderen Seite habe ich die 1.7 einem alten Buch mit CD entnommen das es in der Bibliothek gab (Computer bei meinen Eltern ohne Internetzugang) ... ich hab das manuell installiert (gab keine Installationsroutine).
Fakler@gmx.net
 
Posts: 3
Joined: 22. June 2017 19:46
XAMPP version: 1.7
Operating System: Ubuntu 13

PHP wird nicht ausgefuehrt : Loesung !

Postby Fakler@gmx.net » 24. June 2017 11:29

Ich habe in der hppd.conf datei das PHP Modul (5.X) zu den Modulen die geladen werden hinzugefuegt. Dann ging es. Ich denke gerade die alten LAMPP versionen sind nach wie vor nuetzlich weil man da auf aeltere PHP versionen zurueckgreifen kann und sich (relativ viel ?) Arbeit (Installation) erspart. Man kann dann nachgucken ob das Programm ging etc . und dann schauen ob man es schafft den PHP Code zu einer neueren PHP Version kompatibel zu machen (migrieren).
Fakler@gmx.net
 
Posts: 3
Joined: 22. June 2017 19:46
XAMPP version: 1.7
Operating System: Ubuntu 13


Return to XAMPP für Linux

Who is online

Users browsing this forum: No registered users and 2 guests